/* Toc styles */
.mcc-toc {
	position: sticky;
	top: 110px;
	background-color: var(--wp--preset--color--white);
	display: none;
}

.mcc-toc.active {
	display: block;
}

.mcc-toc .mcc-title-toc {
	font-size: 1.3rem;
    text-transform: capitalize;
    padding: .5rem 1.3rem;
    background: var(--wp--preset--color--custom-text-color-dark);
    color: var(--wp--preset--color--white);
	cursor: pointer;
	position: relative;
}

/* Webkit browsers (Chrome, Safari) */
.mcc-toc ul::-webkit-scrollbar {
	display: none !important;  /* Hide scrollbar */
}

/* For macOS */
.mcc-toc ul {
	overflow: -moz-scrollbars-none !important; /* For Firefox on macOS */
	-ms-overflow-style: none !important; /* For IE and Edge */
}

.mcc-toc ul::-webkit-scrollbar {
	width: 0 !important; /* For Chrome, Safari, and Opera */
	height: 0 !important; /* For Chrome, Safari, and Opera */
}

.mcc-slider-row ul {
    scrollbar-width: none; /* Hide scrollbar for Firefox */
    -ms-overflow-style: none; /* Hide scrollbar for IE and Edge */
}

.mcc-toc ul {
	list-style: none;
	padding: 0;
	margin: 0;
	max-height: calc(100vh - 160px);
    overflow-y: auto;
}

.mcc-toc li {
	padding-left: 1.3rem;
	padding-right: 1.3rem;
	padding-top: .5rem;
	padding-bottom: .5rem;
	font-size: .9rem;
}

.mcc-toc li.active {
    background-color: #AEAEAE;
    color: var(--wp--preset--color--white);
}

.mcc-toc li.active a {
	color: var(--wp--preset--color--white);
}

.mcc-toc.collapsed ul {
	display: none;
}

.mcc-title-toc::after {
    content: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512" width="12px" fill="%23ffffff"><path d="M73 39c-14.8-9.1-33.4-9.4-48.5-.9S0 62.6 0 80V432c0 17.4 9.4 33.4 24.5 41.9s33.7 8.1 48.5-.9L361 297c14.3-8.7 23-24.2 23-41s-8.7-32.2-23-41L73 39z"/></svg>');
    margin-top: -.8rem;
    font-size: 1rem;
    transition: all ease-in-out .3s;
    display: inline-block;
    margin-left: .5rem;
	position: absolute;
	right: 1.3rem;
	top: 50%;
	transform: rotate(90deg);
}

.mcc-toc.collapsed .mcc-title-toc::after {
	transform: rotate(0);
}

.mcc-toc a {
	text-decoration: none;
	color: #3E3E3E;
	font-size: .9rem;
}

.mcc-toc a.item-toc-3 {
	margin-left: 1rem;
}

.mcc-single-default {
	max-width: calc(var(--wp--style--global--wide-size) * .75) !important;
    margin-left: auto !important;
    margin-right: auto !important;
}

.mcc-single-default > .wp-block-cover {
	padding-left: 0 !important;
	padding-right: 0 !important;
}

@media (max-width: 768px) {
	.mcc-toc {
		position: static;
		top: unset;
		display: none;
		margin-bottom: 1rem;
	}

	.mcc-single-default > .wp-block-cover {
		padding-left: var(--wp--preset--spacing--30) !important;
		padding-right: var(--wp--preset--spacing--30) !important;
	}
}
